Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.security
Class WMSLayerImporter

    java.lang.Object
      org.deegree.tools.security.WMSLayerImporter

    public class WMSLayerImporter

extends Object

Tool for adding all layers (which can be requested) of a WMS into deegree's user and rights management system

Version:
  $Revision: 6251 $, $Date: 2007-03-19 16:59:28 +0100 (Mo, 19 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: poth $

Nested Class Summary
`class` | `WMSLayerImporter.Configuration` `Configuration` which holds values for a given layer.

Constructor Summary
`WMSLayerImporter(Map<String,String> param)`
`WMSLayerImporter(WMSLayerImporter.Configuration configuration)`

Method Summary
`static void` | `main(String[] args)`
`void` | `perform()` start reading, parsing WMSCapabilites and adding requestable layers into rights DB

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMSLayerImporter

    public WMSLayerImporter(WMSLayerImporter.Configuration configuration)

Parameters:
  `configuration` -

### WMSLayerImporter

    public WMSLayerImporter(Map<String,String> param)
                     throws IllegalArgumentException

Parameters:
  `param` -
Throws:
  `IllegalArgumentException` - if map is missing a required parameter

Method Detail

### perform

    public void perform()
                 throws Exception

  start reading, parsing WMSCapabilites and adding requestable layers into rights DB

  Throws:
    `Exception`

### main

    public static void main(String[] args)
                     throws Exception

  Parameters:
    `args` -
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org